+ Post New Thread
Page 1 of 657 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 16406

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 96,763
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 78,105
    18th Sep 2006 10:46 pm Go to last post
  1. I know this has been asked a thousand times....

    BOM Block Attributes. Does anyone have a straight to the point answer on how to change them with Excel information. I've read roughly 10,000 articles and forum posts. My pc is drowning in...

    Started by Jim Clayton‎, 16th Jul 2018 08:47 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 476
    Today 04:12 am Go to last post
  2. Assistance updating Lisp routine for Field Insertion

    Hello, I have a lengthy lisp routine that hasn't been updated in years. It is strictly for Custom Field Insertions and I do not remember how to edit it. I created a diesel expression for what...

    Started by Billy Ray‎, 17th Jul 2018 09:21 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 279
    Yesterday 09:29 pm Go to last post
  3. Unhappy Change to the correct order

    Hello everyone, everything good. First apologies for my pessimo ingles. (defun c:Test0008 (/ p1 oFile sFile tmp Separator i ;|Functions|; GetFormatFile aux:SelectFile grdx ...

    Started by JuniorNogueira‎, Yesterday 01:41 pm
    • Replies: 4
    • Views: 121
    Yesterday 06:50 pm Go to last post
  4. how to change hatch type within an XREF

    hi everyone! can someone help me with a lisp, select a hatch that is within an XREF and be able to change its type without entering the reference?

    Started by AHMED18‎, 16th Jul 2018 10:19 am
    • Replies: 9
    • Views: 228
    Yesterday 02:47 pm Go to last post
  5. Dear guys . I'm finding lisp "@ break multiline just one select" thank you

    I have a question. dear. like pic. would provide like this lisp .

    Started by nest1291‎, 17th Jul 2018 10:07 am
    • Replies: 4
    • Views: 156
    Yesterday 12:54 pm Go to last post
  6. xref

    Hi ALL I'd like to copy some line from xref attached file. ncopy command is not working any one can help me please. if there is new command or lisp Thanks:roll:

    Started by sanjeeve‎, 17th Jul 2018 10:54 am
    • Replies: 1
    • Views: 76
    17th Jul 2018 11:17 am Go to last post
  7. removeAEC.LSP and UNITS change problem

    after using the following lsp dwg units revert to the value from the time the dwg was created even though the -dwgunits was set to new value before. How to avoid that? if dwg was created in...

    Started by ibach‎, 17th Jul 2018 10:22 am
    • Replies: 0
    • Views: 77
    17th Jul 2018 10:22 am Go to last post
  8. Question Can anyone provide me withe code or lisp of attached 2d window type.....

    Can anyone provide me withe code or lisp of attached window type....Ive got the lisp file but it makes different type of 2d window....:unsure::(

    Started by superpramod10‎, 10th Jul 2018 02:03 pm
    • Replies: 4
    • Views: 201
    17th Jul 2018 09:39 am Go to last post
  9. Converting all circles into Triangles...

    Hi, I have several drawings with thousands of individual circles (not blocks) of same radius. All of them I am supposed to change to the equilateral triangle of base & sides length = 10mm. Is...

    Started by Ashishs‎, 16th Jul 2018 02:57 pm
    autolisp, convert circles
    • Replies: 4
    • Views: 165
    16th Jul 2018 06:27 pm Go to last post
  10. Modify ATTOUT Lisp to Assign Specific Path

    Hey everyone. So I've been trying like crazy to find a Lisp routine that will do exactly what I want to do, and I keep hitting walls. I developed a BOM Builder in Excel. People can sort through...

    Started by Jim Clayton‎, 13th Jul 2018 07:18 pm
    • Replies: 2
    • Views: 172
    16th Jul 2018 05:34 pm Go to last post
  11. Insert circles inside a polyline: improve code

    Hi guys, I've found and modify an old code that fit my needs. ==================================================================================================== EDIT: GP_ has originally...

    Started by MastroLube‎, 2nd Jul 2018 05:05 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 670
    16th Jul 2018 03:39 pm Go to last post
  12. adding increment number to lisp

    you helped me before with one lisp, i am trying to do the same thing to another lisp but with no success. my original post http://www.cadtutor.net/forum/showth...g-to-area-text my goal is the...

    Started by alat‎, 12th Jul 2018 10:37 am
    • Replies: 4
    • Views: 217
    15th Jul 2018 02:39 pm Go to last post
  13. need help for License code

    (defun date () (vl-load-com) (setq comp (getenv "COMPUTERNAME")) (setq comp1 "DESKTOP-L4C5783") (if (/= comp comp1) (progn (Alert "Unauthorised Use Of Copyrighted Application") ...

    Started by Solitechcadsolutions‎, 29th Jun 2018 04:11 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 608
    13th Jul 2018 03:56 pm Go to last post
  14. Cool Select some blocks and Connecting by arc or pline

    Basically, I want to be able to select some blocks and have a joined polyline with arcs connecting the insertion points via closest distance between blocks.

    Started by hosyn‎, 13th Jul 2018 03:26 pm
    • Replies: 1
    • Views: 125
    13th Jul 2018 03:33 pm Go to last post
  15. Convert polyline with arc to polyline with straight lines.

    Hi all - I created a lightweight polyline by filleting two straight polylines to create 1 polyline that contains an arc. I would like to convert the arc into a series of straight polylines that mimic...

    Started by dunthy‎, 25th Feb 2012 08:53 pm
    • Replies: 9
    • Views: 13,266
    13th Jul 2018 09:46 am Go to last post
  16. Hello, any method can make a outline , like to this photo

    HELLO, I HAVE A QUESTION, ANY METHOD CAN MAKE A OUTLINE , LIKE TO THIS PHOTO, PLEASE HELP ME, thx

    Started by mikewong0719‎, 12th Jul 2018 08:11 am
    • Replies: 5
    • Views: 222
    13th Jul 2018 05:27 am Go to last post
  17. How to pause for user input in while and run more than 1 command call

    TWO THINGS HERE 1. How can I get the pause to be only asked once in the while loop. 2. Unknown command "MW". Press F1 for help. comes up for the last 2 commands. CODE FOR CREATING MULTIPLE...

    Started by 3dwannab‎, 12th Jul 2018 04:14 pm
    2 Pages
    1 2
    command, pause, wipeout
    • Replies: 10
    • Views: 269
    12th Jul 2018 07:28 pm Go to last post
  18. Change text color for multileader

    So I am trying to have the ability to change the text color of mulitleaders from bylayer to red (it is part of a QC routine). After looking through all the properties, the only way I can figure out...

    Started by broncos15‎, 13th Jul 2017 11:33 pm
    • Replies: 5
    • Views: 1,611
    12th Jul 2018 04:45 pm Go to last post
  19. max and min coordinate in polyline

    hello everyone, i want an autolisp function to get maximum and minimum coordinate in a polyline, such as below image A is min and B is max Coordinates that i want to get them. A = (x,y) B =...

    Started by amir0914‎, 11th Jul 2018 09:35 am
    • Replies: 9
    • Views: 337
    12th Jul 2018 02:52 pm Go to last post
  20. S::Startup help required.

    I am trying to use my acaddoc file to automatically load this lisp and also run it at startup but for some reason I won't work: - (defun c:Maximise ( ) (command "CLEANSCREENON") (command...

    Started by Manila Wolf‎, 25th Oct 2017 10:08 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 2,111
    12th Jul 2018 01:09 pm Go to last post
  21. As-Built Deviation

    Hello I've been trying unsuccessfully to modify ASMI's Deviation_Tag routine which produces x,y deviations between two picked points. Rather than have the results displayed with arrows I'd like...

    Started by Demesne‎, 10th Jul 2018 06:31 pm
    • Replies: 9
    • Views: 385
    12th Jul 2018 10:30 am Go to last post
  22. Embed linked images in Blocks

    Hello peeps, we had this issue regarding exported Titleblocks from Revit wherein the images are linked into the Title Blocks in autocad. Is is possible thru lisp to paste in / embedded those...

    Started by CAD_Noob‎, 12th Jul 2018 06:55 am
    • Replies: 2
    • Views: 125
    12th Jul 2018 09:33 am Go to last post
  23. Quote external circles

    Hello guys, I work for a society that makes voided slabs. Circles represent voids in the slab. I was looking for a fast way to quote these circles. Currently I have a lisp that convert...

    Started by MastroLube‎, 3rd Apr 2017 02:57 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 2,223
    11th Jul 2018 04:06 pm Go to last post
  24. code that select all object and convert in to mentioned layer

    Hello every one i need help on completing below code. Basically i need code that select objects and after selecting objects convert layer "obj2" into "obj1" layer and "dim" into "0" layer ...

    Started by Solitechcadsolutions‎, 9th Jul 2018 06:12 am
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 620
    11th Jul 2018 01:20 pm Go to last post
  25. getkword not honoring initget??

    for some reason initget and getkword are not playing nice together in this lisp i am working on. the first (initget 1 "main titleblock") and getkword ("modify layers for main or titleblock...

    Started by dwatters24‎, 3rd Jul 2018 05:02 am
    • Replies: 5
    • Views: 133
    11th Jul 2018 01:02 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts